Which patched IOS80 do i need?

Discussion in 'Wii - Hacking' started by rush2802, Feb 23, 2012.

Feb 23, 2012
  1. rush2802
    OP

    Newcomer rush2802 Member

    Joined:
    Oct 21, 2009
    Messages:
    18
    Country:
    Venezuela
    OK, i have a black Wii (4.3U) set up with HBC... I need to patch IOS80 to load VC/WW content off the SD Card but i don't know which IOS file should i get from ModMii... can anyone help me?
     


  2. obcd

    Member obcd GBAtemp Advanced Maniac

    Joined:
    Apr 5, 2011
    Messages:
    1,594
    Country:
    Belgium
    Where does that information come from?
    Messing with ios below 200 isn't very wise.
    Messing with the multiple of 10 ios like 60 70 and 80 is risky since those are used by the system menu's.

    I know there are exceptions to make it possible to run the rescue disc, and to prevent against a region changed Korean wii error 003.
    (Something like that), but I never heard they needed patching to run VC and Wiiware from the sd card?
     
  3. SifJar

    Member SifJar Not a pirate

    Joined:
    Apr 4, 2009
    Messages:
    6,022
    Country:
    United Kingdom
    Of course they don't need patched to run VC or WW from SD card. That functionality exists officially, so naturally it works with the official IOS.

    It needs to be patched to run pirated VC or WW games though. But of course, I won't help with that because I do not approve of piracy. Suffice to say that there is no legitimate reason to patch IOS80 unless you have a region changed Wii and for some reason must be on 4.3 (hint: there is no reason to have to be on 4.3, there is zero difference in functionality from 4.1)
     
  4. rush2802
    OP

    Newcomer rush2802 Member

    Joined:
    Oct 21, 2009
    Messages:
    18
    Country:
    Venezuela
    That information comes from research on the Fakesigning bug... and i'm trying to load VC/WW games installed through WAD Manager (They run fine on the console itself but when i move them to the SD Card they fail to load and they fail to be transfered back to the Wii)...

    ---

    My Wii already came with 4.3U installed and i don't want to downgrade...
     
  5. JoostinOnline

    Member JoostinOnline Certified Crash Test Dummy

    Joined:
    Apr 2, 2011
    Messages:
    10,834
    Location:
    The Twilight Zone
    Country:
    United States
    I disagree with that. A patched SM IOS offers potential brick recovery options.
     
  6. SifJar

    Member SifJar Not a pirate

    Joined:
    Apr 4, 2009
    Messages:
    6,022
    Country:
    United Kingdom
    And nor should you downgrade, there is zero point and anyone who would suggest it is an idiot who knows not what they are talking about. But like I said, there is no reason to have a patched ISO80 unless you must be on 4.3 AND have a region changed Wii, originally Korean. In other words, that does not apply to you. And like I said, I won't be helping with piracy.

    Joostin: There are plenty of brick protection measures that don't require you to patch a vital system resource such as SM IOS. And regardless, a standard user should never brick a Wii if they aren't stupid with it.
     
  7. JoostinOnline

    Member JoostinOnline Certified Crash Test Dummy

    Joined:
    Apr 2, 2011
    Messages:
    10,834
    Location:
    The Twilight Zone
    Country:
    United States
    It was a bigger deal before SmashStack was available for all regions, not so much anymore. However, my point was that it does have other uses besides piracy, even if piracy is the main reason people would do it. I don't support piracy.

    People are stupid, but more than that they are ill-informed. You know as well as I do that there are a lot of tutorials out there that are filled with landmines, especially on failtube.

    In my opinion, it's best to give hacking instructions that assume the user will do something stupid, and prepare for it, even if the chances are next to nothing.
     
  8. SifJar

    Member SifJar Not a pirate

    Joined:
    Apr 4, 2009
    Messages:
    6,022
    Country:
    United Kingdom
    Whereas I believe it is much, much better to NOT give "hacking" instructions (the very fact you are giving instructions basically means it is not hacking, but that is a completely different topic), because if you don't guide people into such a thing, they'll have to learn what it is they want to do. And then they won't make mistakes.
     
  9. Luigi2012SM64DS
    This message by Luigi2012SM64DS has been removed from public view by a moderator, Dec 6, 2016.
    Feb 23, 2012
  10. LWares87

    Member LWares87 The 'Wise' Merchant

    Joined:
    Oct 19, 2008
    Messages:
    1,691
    Location:
    Colchester, England
    Country:
    United Kingdom
    Using ModMii go to download page 1 and download IOS80 (IOS60). Then install it on your console using a Wad Manager/Installer.
     
  11. rush2802
    OP

    Newcomer rush2802 Member

    Joined:
    Oct 21, 2009
    Messages:
    18
    Country:
    Venezuela
    Is it perfectly safe to install patched IOS80 using 60 as base for a system that came with 4.3U preinstalled? and can i install over the old IOS80 without problems?
     
  12. XFlak

    Member XFlak Wiitired but still kicking

    Joined:
    Sep 12, 2009
    Messages:
    9,122
    Location:
    Ontario
    Country:
    Canada
    yes and yes
     
  13. rush2802
    OP

    Newcomer rush2802 Member

    Joined:
    Oct 21, 2009
    Messages:
    18
    Country:
    Venezuela
    I've decided to follow ModMii's guide using the sysCheck report that i got from my own Wii... as far as i can see, this is a safe way to update everything on my Wii (47 files are outdated) but i have a question... I have the NSMBW disc that came bundled with the console. After installing all that, will my Wii ask for an update if i try to run NSMBW through the Disc Channel if i don't apply Priiloader's "Block Disc Updates" hack?
     
  14. Yuan

    Member Yuan GBAtemp Maniac

    Joined:
    Oct 1, 2007
    Messages:
    1,271
    Country:
    Brazil
    What is the advantage to use IOS80 with base 60 instead of the original one?
     
  15. rush2802
    OP

    Newcomer rush2802 Member

    Joined:
    Oct 21, 2009
    Messages:
    18
    Country:
    Venezuela
    AFAIK, they're basically the same but IOS80 has more protection than IOS60... The actual reasons as of why it's better than the original one can be explained by one of the pros here
     
  16. SifJar

    Member SifJar Not a pirate

    Joined:
    Apr 4, 2009
    Messages:
    6,022
    Country:
    United Kingdom
    IOS60 doesn't check for Korean key i.e. no error 003 on region changed Korean Wii if you use IOS60 as SM IOS. Besides that it has no purpose, i.e. for most users they are using an old, out-dated IOS for no reason.
     
    1 person likes this.
  17. LWares87

    Member LWares87 The 'Wise' Merchant

    Joined:
    Oct 19, 2008
    Messages:
    1,691
    Location:
    Colchester, England
    Country:
    United Kingdom
    The advantage of having a patched system IOS is that, you can play WW/VC games which were installed and copied to the SD Card.

    There are proberly other advantages, but that's one of them which I know of.
     
  18. SifJar

    Member SifJar Not a pirate

    Joined:
    Apr 4, 2009
    Messages:
    6,022
    Country:
    United Kingdom
    That is not what was asked. He was asking the benefit of having IOS60 installed as IOS80, which has nothing to do with what you said, and which I already explained the reasons for.
     
  19. LWares87

    Member LWares87 The 'Wise' Merchant

    Joined:
    Oct 19, 2008
    Messages:
    1,691
    Location:
    Colchester, England
    Country:
    United Kingdom
    Never mind what I said, then.

    Edit: Actually, that reminds me of something, wasn't IOS60 the system IOS for 4.1?
     
  20. SifJar

    Member SifJar Not a pirate

    Joined:
    Apr 4, 2009
    Messages:
    6,022
    Country:
    United Kingdom
    Yes. I SM 4.0 and 4.1 both used it IIRC. Is there a relevance to you bringing that up?
     
  21. rush2802
    OP

    Newcomer rush2802 Member

    Joined:
    Oct 21, 2009
    Messages:
    18
    Country:
    Venezuela
    I believe the relevance to that is "can a Wii with SM 4.3 be used with an IOS designed for 4.0/4.1?"
     

Share This Page